Merge pcsc-lite 1.8.3-3

Bug #1001775 reported by Michael Bienia on 2012-05-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pcsc-lite (Ubuntu)
Undecided
Unassigned

Bug Description

pcsc-lite (1.8.3-3ubuntu1) quantal; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Michael Bienia <email address hidden> Sat, 19 May 2012 23:22:13 +0200

New Debian changelog entries since last Ubuntu upload:

pcsc-lite (1.8.3-3) unstable; urgency=low

  * rebuild for multi-arch. See bug #647522

 -- Ludovic Rousseau <email address hidden> Sun, 06 May 2012 18:09:46 +0200

pcsc-lite (1.8.3-2) unstable; urgency=low

  * Fix "invoke-rc.d pcscd start starts the daemon again if allready
    running" do not remove /var/run/pcscd/ if already present (Closes: #666465)

 -- Ludovic Rousseau <email address hidden> Sat, 31 Mar 2012 18:07:01 +0200

pcsc-lite (1.8.3-1) unstable; urgency=low

  * New upstream release
  * Fix "fails to start if config directory contains subdirectories"
    fixed upstream (Closes: #658322)
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.
  * Add Build-Depends: dpkg-dev (>= 1.16.1~) so that dpkg-buildflags supports
    --export=configure as we use it in debian/rules. This is needed to easily
    packport the package.
    Thanks to Jean-Michel Pouré for the bug report.
  * Add multi-arch support. (LP: #949912)

 -- Ludovic Rousseau <email address hidden> Fri, 30 Mar 2012 14:32:19 +0200

pcsc-lite (1.8.2-1) unstable; urgency=low

  * New upstream release
  * Fix "Please enabled hardened build flags" by using $(shell
    dpkg-buildflags --export=configure) as a ./configure argument
    (Closes: #656273)
  * Fix "please package libpcsclite debug symbols" by providing a new
    package libpcsclite-dbg (Closes: #655915)
  * Fix "please package pcsc-spy.py tool" by installing pcsc-spy in
    /usr/bin/ from package libpcsclite-dev (Closes: #655756)

 -- Ludovic Rousseau <email address hidden> Wed, 18 Jan 2012 17:05:04 +0100

pcsc-lite (1.8.1-5) unstable; urgency=low

  * Fix "[pcscd] unusable due to typo in init.d-script" Correctly set the
    access rights of /var/run/pcscd (Closes: #652236)

 -- Ludovic Rousseau <email address hidden> Thu, 15 Dec 2011 18:47:44 +0100

pcsc-lite (1.8.1-4) unstable; urgency=low

  * If systemd is used then do not start pcscd at boot but on demand
    http://ludovicrousseau.blogspot.com/2011/11/pcscd-auto-start-using-systemd.html

 -- Ludovic Rousseau <email address hidden> Sat, 03 Dec 2011 14:45:35 +0100

pcsc-lite (1.8.1-3) unstable; urgency=low

  * debian/{control,rules}: do not Build-Depends: on systemd but use
    --with-systemdsystemunitdir=/lib/systemd/system instead
    Fix "Not building on !linux architectures" (Closes: #650251)

 -- Ludovic Rousseau <email address hidden> Tue, 29 Nov 2011 22:54:48 +0100

pcsc-lite (1.8.1-2) unstable; urgency=low

  * debian/pcscd.postinst: Fix "Fails to configure" check that systemd is
    installed _and_ running (Closes: #650174)
  * debian/control: Add Build-Depends: systemd since the ./configure script
    uses pkg-config --variable=systemdsystemunitdir systemd

 -- Ludovic Rousseau <email address hidden> Sun, 27 Nov 2011 20:49:17 +0100

pcsc-lite (1.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: use Machine-readable DEP-5 format
  * debian/pcscd.init: Fix "init.d status support" (Closes: #644127)
  * debian/pcscd.postinst: enable pcscd for systemd is systemd is installed
  * debian/control: libpcsclite1 now Breaks: instead of Conflicts:
    libpcsclite-dev (<< ${binary:Version})
  * debian/control: Suggests: systemd
  * debian/control: libpcsclite-dev now provides libpcscspy.so
  * debian/pcscd.dirs: do not install empty directories usr/lib/pcsc/drivers
    and usr/lib/pcsc/services. Reported by lintian
  * debian/libpcsclite-dev.install: do not distribute the .la file any more
  * debian/pcscd.install: install systemd configuration files

 -- Ludovic Rousseau <email address hidden> Fri, 25 Nov 2011 17:42:18 +0100

Related branches

Michael Bienia (geser) wrote :
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package pcsc-lite - 1.8.3-3ubuntu1

---------------
pcsc-lite (1.8.3-3ubuntu1) quantal; urgency=low

  * Merge with Debian unstable (lp: #1001775). Remaining Ubuntu changes:
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

pcsc-lite (1.8.3-3) unstable; urgency=low

  * rebuild for multi-arch. See bug #647522

pcsc-lite (1.8.3-2) unstable; urgency=low

  * Fix "invoke-rc.d pcscd start starts the daemon again if allready
    running" do not remove /var/run/pcscd/ if already present (Closes: #666465)

pcsc-lite (1.8.3-1) unstable; urgency=low

  * New upstream release
  * Fix "fails to start if config directory contains subdirectories"
    fixed upstream (Closes: #658322)
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.
  * Add Build-Depends: dpkg-dev (>= 1.16.1~) so that dpkg-buildflags supports
    --export=configure as we use it in debian/rules. This is needed to easily
    packport the package.
    Thanks to Jean-Michel Pouré for the bug report.
  * Add multi-arch support. (LP: #949912)

pcsc-lite (1.8.2-1) unstable; urgency=low

  * New upstream release
  * Fix "Please enabled hardened build flags" by using $(shell
    dpkg-buildflags --export=configure) as a ./configure argument
    (Closes: #656273)
  * Fix "please package libpcsclite debug symbols" by providing a new
    package libpcsclite-dbg (Closes: #655915)
  * Fix "please package pcsc-spy.py tool" by installing pcsc-spy in
    /usr/bin/ from package libpcsclite-dev (Closes: #655756)

pcsc-lite (1.8.1-5) unstable; urgency=low

  * Fix "[pcscd] unusable due to typo in init.d-script" Correctly set the
    access rights of /var/run/pcscd (Closes: #652236)

pcsc-lite (1.8.1-4) unstable; urgency=low

  * If systemd is used then do not start pcscd at boot but on demand
    http://ludovicrousseau.blogspot.com/2011/11/pcscd-auto-start-using-systemd.html

pcsc-lite (1.8.1-3) unstable; urgency=low

  * debian/{control,rules}: do not Build-Depends: on systemd but use
    --with-systemdsystemunitdir=/lib/systemd/system instead
    Fix "Not building on !linux architectures" (Closes: #650251)

pcsc-lite (1.8.1-2) unstable; urgency=low

  * debian/pcscd.postinst: Fix "Fails to configure" check that systemd is
    installed _and_ running (Closes: #650174)
  * debian/control: Add Build-Depends: systemd since the ./configure script
    uses pkg-config --variable=systemdsystemunitdir systemd

pcsc-lite (1.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: use Machine-readable DEP-5 format
  * debian/pcscd.init: Fix "init.d status support" (Closes: #644127)
  * debian/pcscd.postinst: enable pcscd for systemd is systemd is installed
  * debian/control: libpcsclite1 now Breaks: instead of Conflicts:
    libpcsclite-dev (<< ${binary:Version})
  * debian/control: Suggests: systemd
  * debian/control: libpcsclite-dev now provides libpcscspy.so
  * debian/pcscd.dirs: do not install empty directories usr/lib/pcsc/drivers
    and usr/lib/pcsc/services. Reported by lintian
  * debian/libpcsclite-dev.install: do not distribute the .la file any more
  * debian/pcscd.install:...

Read more...

Changed in pcsc-lite (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers